package cd.casic.framework.commons.util.reflect;

import java.util.Collection;
import java.util.Map;


public class ReflectUtil {

    public static Boolean isNativeType(Object bean) {
        return bean instanceof Integer ||
                bean instanceof Long ||
                bean instanceof Double ||
                bean instanceof Float ||
                bean instanceof Short ||
                bean instanceof Byte ||
                bean instanceof Boolean;
    }

    public static Boolean isCollectionType(Object obj) {
        return obj instanceof Map || obj instanceof Collection;
    }
}
